# $Revision: 1.15.2.2 $, $Date: 2003/08/08 19:51:25 $
Summary:	Infinity visualization plugin
Summary(pl):	Wtyczka wizualizacji infinity
Name:		xmms-visualization-infinity
Version:	0.2
Release:	4
License:	GPL v2
Group:		X11/Applications/Multimedia
Source0:	http://julien.carme.free.fr/infinity-%{version}.tar.gz
# Source0-md5:	ec1400a7eb62cd674e25003e04cb232b
URL:		http://julien.carme.free.fr/infinite.html
BuildRequires:	SDL-devel >= 1.2.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	xmms-devel >= 1.2.3
Requires:	xmms
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_xmms_plugin_dir	%(xmms-config --visualization-plugin-dir)
%define		_xmms_data_dir		%(xmms-config --data-dir)

%description
Infinity visualization plugin.

%description -l pl
Wtyczka wizualizacji infinity.

%prep
%setup -q -n infinity-%{version}

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	libdir=%{_xmms_plugin_dir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_xmms_plugin_dir}/*.so
%{_xmms_data_dir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmms-visualization-infinity.spec,v $
Revision 1.15.2.2  2003/08/08 19:51:25  misi3k
- rel 4
- rebuild
- md5

Revision 1.15.2.1  2003/07/11 12:04:56  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.15  2003/02/09 20:20:12  kloczek
- release 3,
- install plugin in system avalailbe xmms plugin depending path,
- remove redundant BuildRequires rules,
- don't build static plugin (added --disable-static to configure parameters).

Revision 1.14  2003/01/18 22:58:56  juandon
- removed two lines with define

Revision 1.13  2002/10/09 13:14:51  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.12  2002/08/29 18:02:07  kloczek
- release 2.

Revision 1.11  2002/07/11 00:57:24  blues
- new doc

Revision 1.10  2002/06/23 20:32:37  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.9  2002/05/21 23:15:07  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.8  2002/03/24 23:28:27  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.7  2002/02/23 05:29:55  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:30:07  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:15:41  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/12/22 08:48:51  kloczek
- finished.

Revision 1.3  2001/12/21 14:22:31  qboosh
- pl summary

Revision 1.2  2001/04/04 00:30:47  kloczek
- changed BuildRequires rule for SDL-devel to ">= 1.2.0".

Revision 1.1  2001/03/30 15:54:39  misiek
quite nice visualization plugin
